Skip to navigation

List users

View as Markdown

Retrieves the list of users for the specified account.

The response returns the list of users for the account, with information about the result set. If the additional_info query is added to the endpoint and set to true, full user information is returned for each user.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

(Required) The external account number (int) or account ID GUID.

Query parameters

additional_infostringOptional

When true, the custom settings information is returned for each user in the account. If this parameter is omitted, the default behavior is false.

alternate_admins_onlystringOptional

When true, returns only alternate administrators. These users are not administrators but will be set as such if all administrator memberships are closed. The default value is false.

countstringOptional

The maximum number of results to return.

Use start_position to specify the number of results to skip.

Valid values: 1 to 100

domain_users_onlystringOptional

When true, return only users in domains claimed by your organization. The default value is false.

emailstringOptional

Filters results based on the email address associated with the user that you want to return.

Note: You can use either this parameter or the email_substring parameter, but not both. For older accounts, this parameter might return multiple users who are associated with a single email address.

email_substringstringOptional

Filters results based on a fragment of an email address. For example, you could enter gmail.com to return all users who have Gmail addresses.

Note: You do not use a wildcard character with this parameter. You can use either this parameter or the email parameter, but not both.

group_idstringOptional
Filters results based on one or more group IDs.
include_licensestringOptional
include_usersettings_for_csvstringOptional

When true, the response includes the userSettings object data in CSV format.

login_statusstringOptional

When true, the response includes the login status of each user.

not_group_idstringOptional
Return user records excluding the specified group ID.
start_positionstringOptional

The zero-based index of the result from which to start returning results.

Use with count to limit the number of results.

The default value is 0.

statusstringOptional

Filters results by user account status. A comma-separated list of any of the following:

  • ActivationRequired
  • ActivationSent
  • Active
  • Closed
  • Disabled
user_name_substringstringOptional

Filters the user records returned by the user name or a sub-string of user name.

Response

Successful response.
endPositionstringOptional
The last index position in the result set.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

userslist of objectsOptional
User management information.

Errors

400
Bad Request Error